> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opennote.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import From Markdown



## OpenAPI

````yaml openapis/journals.json put /journals/editor/import_from_markdown
openapi: 3.1.0
info:
  title: Journals Routes
  version: 0.0.1
servers: []
security: []
paths:
  /journals/editor/import_from_markdown:
    put:
      summary: Import From Markdown
      operationId: import_from_markdown_journals_editor_import_from_markdown_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportFromMarkdownRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportFromMarkdownResponse'
        '401':
          description: Invalid API key or unauthorized access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
        '500':
          description: Internal server error
      security:
        - HTTPBearer: []
components:
  schemas:
    ImportFromMarkdownRequest:
      properties:
        markdown:
          type: string
          title: Markdown
          description: The markdown content to import.
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: The title of the journal, if you want to provide one.
          default: Imported Journal
        team_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Slug
          description: The team slug that the journal is associated with
      additionalProperties: true
      type: object
      required:
        - markdown
      title: ImportFromMarkdownRequest
      description: Request model for importing a journal from markdown.
    ImportFromMarkdownResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        journal_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Journal Id
        journal_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Journal Url
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - success
      title: ImportFromMarkdownResponse
      description: Response model for importing a journal from markdown.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````